---
slug: /docs/chartjs-v2
description: Using react-chartjs-2 with Chart.js v2
---

# Using with Chart.js v2

If your app needs [Chart.js v2](https://www.chartjs.org/docs/2.9.4/), please use a [compatible version](https://www.npmjs.com/package/react-chartjs-2/v/2.11.2) of this library:

```bash
yarn add chart.js@^2.9.4 react-chartjs-2@^2.11.2
```

or

```bash
npm install --save chart.js@^2.9.4 react-chartjs-2@^2.11.2
```

Also, please consider upgrading your app to [Chart.js v3](#upgrading-to-chartjs-v3).

## Upgrading to Chart.js v3

First, upgrade packages. You'll need to install Chart.js v3 and the latest version of this library:

```bash
yarn add chart.js@^3.6.0 react-chartjs-2@latest
```

or

```bash
npm install --save chart.js@^3.6.0 react-chartjs-2@latest
```

Then, please follow the [this guide](/docs/migration-to-v4).
